import cm = require('commonmark');
import { CommonMarkVisitor } from './markdown';
export declare type CodeReplacer = (code: CodeBlock) => CodeBlock;
export interface CodeBlock {
    source: string;
    language: string;
}
/**
 * Renderer that replaces code blocks in a MarkDown document
 */
export declare class ReplaceCodeTransform implements CommonMarkVisitor {
    private readonly replacer;
    constructor(replacer: CodeReplacer);
    code_block(node: cm.Node): void;
    block_quote(): void;
    code(): void;
    text(): void;
    softbreak(): void;
    linebreak(): void;
    emph(): void;
    strong(): void;
    html_inline(): void;
    html_block(): void;
    link(): void;
    image(): void;
    document(): void;
    paragraph(): void;
    list(): void;
    item(): void;
    heading(): void;
    thematic_break(): void;
    custom_block(): void;
    custom_inline(): void;
}
