import ts = require('typescript');
import { AstConverter } from '../converter';
/**
 * Our own unification of import statements
 */
export interface ImportStatement {
    node: ts.Node;
    packageName: string;
    imports: FullImport | SelectiveImport;
}
export declare type FullImport = {
    import: 'full';
    alias: string;
};
export declare type SelectiveImport = {
    import: 'selective';
    elements: ImportBinding[];
};
export interface ImportBinding {
    sourceName: string;
    alias?: string;
}
export declare function analyzeImportEquals(node: ts.ImportEqualsDeclaration, context: AstConverter<any>): ImportStatement;
export declare function analyzeImportDeclaration(node: ts.ImportDeclaration, context: AstConverter<any>): ImportStatement;
